WordPress.org

Ready to get started?Download WordPress

Forums

Plugin developper, update troubles (8 posts)

  1. Thomas Doki-Thonon
    Member
    Posted 2 years ago #

    Hello,
    I having troubles with tagging a new version of my plugin
    This is my plugin :
    http://plugins.trac.wordpress.org/browser/wp-e-commerce-traduction-francaise?rev=425771#trunk

    I want the 1.0 to be the old version and the tag/3.8.6 the new version so i added stable tag but the big red button on the page : http://wordpress.org/extend/plugins/wp-e-commerce-traduction-francaise/ is still 1.0 and the compatibility selector is doing something funny.

    Can you help me a little big.
    Thanks a lot

  2. Dion Hulse
    WordPress Dev
    Posted 2 years ago #

    The plugin page doesn't update instantly, Just give it some time and it'll update itself.

  3. Thomas Doki-Thonon
    Member
    Posted 2 years ago #

    Thank you Dion Hulse but i've wait many days.

    For example : http://wordpress.org/extend/plugins/wp-e-commerce-livraison-france/
    (this is another of my plugin)

    The button says : Dowload Version 1.0 but is linked to : http://downloads.wordpress.org/plugin/wp-e-commerce-livraison-france.1.0.1.zip

    And the COmpatiblity selector is having a weird behavior :

    <select id="compatibility-topic-version" name="compatibility[topic_version]">
    					<optgroup label="Current Version">
    						<option value="1.0" selected="selected">1.0</option> 
    
    					</optgroup>
    					<optgroup label="Other Versions">
    						<option value="1.0.1">1.0.1</option> 
    
    					</optgroup> 
    
    				</select>

    Any ideas ?
    The major problem is that in the extension panel in the admin panel of wordpress, the user doesn't see that there is an update available.
    Thank you in advance

  4. Dion Hulse
    WordPress Dev
    Posted 2 years ago #

    Thank you Dion Hulse but i've wait many days.

    The plugin you linked to, Had at that point in time, been commited for 2hours. The 2nd one does indeed look like something didn't happen right.

    Looking at it, Itseems to be confused because you didn't bump the version in the php file, infact, this seems to be the problem with both plugins, both are calling themselves as 1.0 instead of 3.8.6 and 1.0.1 respectivly.

    My suggestion is to fix both of those version numbers up, Commit them to a new tag of the same version, and then update the trunk readme.txt file. If you do it in that order, it should be live reasonably fast.

  5. Thomas Doki-Thonon
    Member
    Posted 2 years ago #

    Thanks ! That was exactly my mistake, i forgot to update the php file.
    It works now for both plugins.

    The update available message in the user wordpress admin is still not appearing
    I suppose i need to wait a little bit ?

    Thanks again Dion. I'm was not familiar with subversion.

    Thomas

  6. Thomas Doki-Thonon
    Member
    Posted 2 years ago #

    The extension page is showing the little red message telling me that an update is available. Everything is perfect. Thank you for your help.

  7. Dion Hulse
    WordPress Dev
    Posted 2 years ago #

    The update available message in the user wordpress admin is still not appearing
    I suppose i need to wait a little bit ?

    That can take anywhere between an hour and 12hours to filter through to everyone. If someone visits the Dashboard->Updates page, it'll be picked up then and there, put may take those few hours to be picked up by the cron task if they don't load that page :)

  8. Thomas Doki-Thonon
    Member
    Posted 2 years ago #

    Hello,
    I still have the same problem. There must be something that i am doing wrong but I can not figure what.

    I updated my plugin http://wordpress.org/extend/plugins/wpcb/
    but i'm stuck on the old version !

    I have updated the 1.1.3 but wordpress is still showing the 1.1 ?

    Do anyone has an idea ?
    Thanks a lot.

Topic Closed

This topic has been closed to new replies.

About this Topic